"""Added initial configuration fields

Revision ID: bc010f7fee42
Revises: ca8af9b96aef
Create Date: 2023-10-29 03:15:04.799525

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = 'bc010f7fee42'
down_revision: Union[str, None] = 'ca8af9b96aef'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    config_table = op.create_table(
        'configuration',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column(
            'password_hash',
            sa.String(length=250),
            nullable=True),
        sa.Column(
            'session_key',
            sa.String(length=32),
            nullable=True),
        sa.PrimaryKeyConstraint('id')
    )
    # Insert a default row.
    op.bulk_insert(
        config_table,
        [
            {
                "id": 1,
            },
        ],
    )

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('configuration')
    # ### end Alembic commands ###
